baz_puncture_bb Class Reference
GNU Radio baz C++ Signal Processing Blocks

square a stream of floats. More...

`#include <baz_puncture_bb.h>`

Inheritance diagram for baz_puncture_bb:
[legend]

## Public Member Functions

| ~baz_puncture_bb ()
void | set_matrix (const std::vector< int > &matrix)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_puncture_bb_sptr | baz_make_puncture_bb (const std::vector< int > &matrix)
| Return a shared_ptr to a new instance of baz_puncture_bb.

## Detailed Description

square a stream of floats.

See also
  howto_square2_ff for a version that subclasses gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_puncture_bb()

baz_puncture_bb::~baz_puncture_bb | ( |  | ) |

## Member Function Documentation

## forecast()

void baz_puncture_bb::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int baz_puncture_bb::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## set_matrix()

void baz_puncture_bb::set_matrix | ( | const std::vector< int > & | matrix | ) |

## Friends And Related Symbol Documentation

## baz_make_puncture_bb

BAZ_API baz_puncture_bb_sptr baz_make_puncture_bb | ( | const std::vector< int > & | matrix | ) |

friend

Return a shared_ptr to a new instance of baz_puncture_bb.

To avoid accidental use of raw pointers, baz_puncture_bb's constructor is private. baz_make_puncture_bb is the public interface for creating new instances.

References BAZ_API.

The documentation for this class was generated from the following file:

- baz_puncture_bb.h